Page MenuHomePhabricator

ContentTranslation has an unguarded call to localStorage.setItem()
Closed, ResolvedPublic

Description

ext.cx.source.selector.js calls localStorage.setItem() without a try/catch block. This is not recommended by the spec and is somewhat more likely to break on Wikipedia than other sites due to T66721.

Event Timeline

tstarling created this task.Feb 1 2016, 5:55 AM
tstarling raised the priority of this task from to Needs Triage.
tstarling updated the task description. (Show Details)
tstarling added a project: ContentTranslation.
tstarling added a subscriber: tstarling.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 1 2016, 5:55 AM
KartikMistry set Security to None.Feb 1 2016, 6:46 AM
KartikMistry added subscribers: santhosh, Nikerabbit, Amire80.

Change 267649 had a related patch set uploaded (by Santhosh):
Fix: ContentTranslation has an unguarded call to localStorage.setItem()

https://gerrit.wikimedia.org/r/267649

santhosh claimed this task.Feb 1 2016, 9:25 AM
santhosh triaged this task as Normal priority.
santhosh added a project: LE-CX8-Sprint 1.
santhosh moved this task from Backlog to In Review on the LE-CX8-Sprint 1 board.
Amire80 moved this task from Needs Triage to CX8 on the ContentTranslation board.Feb 1 2016, 9:46 AM
Amire80 added a project: WorkType-Maintenance.

Change 267649 merged by jenkins-bot:
Fix: ContentTranslation has an unguarded call to localStorage.setItem()

https://gerrit.wikimedia.org/r/267649

Nikerabbit moved this task from In Review to QA on the LE-CX8-Sprint 1 board.Feb 2 2016, 3:58 PM
Arrbee moved this task from QA to Done on the LE-CX8-Sprint 1 board.Feb 3 2016, 6:33 AM
Arrbee closed this task as Resolved.Feb 10 2016, 8:49 AM
Arrbee added a subscriber: Arrbee.